Create Checks
curl --request POST \
--url https://test.onlinecheckwriter.com/api/v3/checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"bankAccountId": "6gYVewBOP7Gdx7b",
"payeeId": "ijKVewBOP7GdyhG",
"categoryId": "",
"serialNumber": "1001",
"issueDate": "2020-10-25",
"amount": 100,
"memo": "First, Test check using API",
"note": "",
"accountNumber": "458756",
"invoiceNumber": "2545",
"noSign": false,
"noAmount": false,
"noDate": false,
"noPayee": false,
"voucherId": null,
"customElements": {
"element1": "first class tracking",
"element2": "test sender"
}
}
]
}
'import requests
url = "https://test.onlinecheckwriter.com/api/v3/checks"
payload = { "checks": [
{
"bankAccountId": "6gYVewBOP7Gdx7b",
"payeeId": "ijKVewBOP7GdyhG",
"categoryId": "",
"serialNumber": "1001",
"issueDate": "2020-10-25",
"amount": 100,
"memo": "First, Test check using API",
"note": "",
"accountNumber": "458756",
"invoiceNumber": "2545",
"noSign": False,
"noAmount": False,
"noDate": False,
"noPayee": False,
"voucherId": None,
"customElements": {
"element1": "first class tracking",
"element2": "test sender"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [
{
bankAccountId: '6gYVewBOP7Gdx7b',
payeeId: 'ijKVewBOP7GdyhG',
categoryId: '',
serialNumber: '1001',
issueDate: '2020-10-25',
amount: 100,
memo: 'First, Test check using API',
note: '',
accountNumber: '458756',
invoiceNumber: '2545',
noSign: false,
noAmount: false,
noDate: false,
noPayee: false,
voucherId: null,
customElements: {element1: 'first class tracking', element2: 'test sender'}
}
]
})
};
fetch('https://test.onlinecheckwriter.com/api/v3/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Successfully created",
"data": {
"checks": [
{
"checkId": "<string>",
"serialNumber": "<string>",
"amount": "<string>",
"status": 123,
"bankAccount": {
"bankAccountId": "<string>",
"name": "<string>"
},
"payee": {
"payeeId": "<string>",
"name": "<string>"
}
}
]
}
}Check
Create Checks
Allows the creation of one or more checks in a single request. Advanced stubs can be included by passing a voucher object.
POST
/
checks
Create Checks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to create one or more checks.
Show child attributes
Show child attributes
⌘I
